/************************************************************************
* RCS  $Revision$			$Date$				*
*									*
* LANCONS.H								*
*									*
* Environment								*
* 	MS-DOS, WD8003, Generic IBM PC.					*
*									*
* (c) Copyright 1987 Western Digital Corporation(R).			*
* All reghts reserved. Contains confidential information		*
* and trade secrets proprietary to Western Digital Corporation		*
*									*
* Module Description 							*
*	Machine (PC) specific MAC module constants for the 82588 	*
*	based WD8000 LAN controller card running on a generic IBM PC.	*
*									*
* Activity:								*
*	DATE:	06/02/87						*
*	LEVEL:	et.bb.00						*
*	WHO:	KC 							*
*	CHANGE: Created file for Netbios emulator WD8003 port.		*
*									*
*    	DATE:   3/15/88							*
* 	LEVEL:	etbc00
*	WHO:	Steve Chen						*
*	CHANGE:	Add define constant for interrupt controller 2		*
************************************************************************/

/* %%4%%+ */
/* Interrupt stuff */		
#define	INTVEC		0x03		/* Interrupt request vector */
#define INTBASE 	0x08		/* Base of interrupts for 8259 */
#define INTBASE_2	0x70		/* [8] base of int contorller 2 */
#define P8259		0x21		/* PC 8259 mask port */
#define P8259_2		0xA1	/*[8] 8259 mask for interrupt controller 2 */
#define INTREG		0x20	/*[8] 8259 int register for controller 1 */
#define INTREG_2	0xA0	/*[8] 8259 int register for controller 2 */
/* %%4%%- */

/*
 * Offset of header from beginning of message driver
 */
#define OPOFF		(long) 0x20E

/* 
 * This is the structure which sits at the beginning of the message driver.
 *  (Defined in C.OBJ).	Needed for serial number & maybe a version number.
 */
struct drvrhdr
    {
    char serial[10];		/* serial number */
    char reserv[16];
    };

